MinimServer Forum

Full Version: problem with /minimserver/bin/setup on a vortexbox
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
I have just upgraded from 0.72 to 0.8.1. On my Vortexbox, minimserver is installed in "/opt"
When I try to run "/opt/minimserver/bin/setup" in order to enable autostart, I get the following errors:
Code:
[vortexbox.localdomain ~]# /opt/minimserver/bin/setup
\nMinimServer desktop integration is not available
MinimServer automatic startup is not available
\nDo you want to change these settings (y/n)?
y
Enable automatic startup for MinimServer (y/n)?
y
/opt/minimserver/bin/setup: Zeile 52: update-rc.d: Kommando nicht gefunden.

OTH, manually editing "/usr/local/sbin/network_up.sh" (as suggested here: http://info.vortexbox.org/tiki-index.php...inimServer) by adding the line "/opt/minimserver/bin/startd" solves the problem.

Is this fedora-16-related or rather something that could have to do with a potentially faulty installation?

alfreddo12


BTW: Thanks for the upgrade which took an already very good and user-friendly product to new heights.
(18-12-2013 13:37)alfreddo12 Wrote: [ -> ]I have just upgraded from 0.72 to 0.8.1. On my Vortexbox, minimserver is install in "/opt"
When I try to run "/opt/minimserver/bin/setup" in order to enable autostart, I get the following errors:
Code:
[vortexbox.localdomain ~]# /opt/minimserver/bin/setup
\nMinimServer desktop integration is not available
MinimServer automatic startup is not available
\nDo you want to change these settings (y/n)?
y
Enable automatic startup for MinimServer (y/n)?
y
/opt/minimserver/bin/setup: Zeile 52: update-rc.d: Kommando nicht gefunden.

OTH, manually editing "/usr/local/sbin/network_up.sh" (as suggested here: http://info.vortexbox.org/tiki-index.php...inimServer) by adding the line "/opt/minimserver/bin/startd" solves the problem.

Is this fedora-16-related or rather something that could have to do with a potentially faulty installation?

alfreddo12


BTW: Thanks for the upgrade which took an already very good and user-friendly product to new heights.

Thans for reporting this problem. This is a bug in the setup script. If both settings are not available, you should not be getting the prompt inviting you to change them. This will be fixed in the next release.
Reference URL's